#ifndef ALPGENFPYTHIA_HH 
#define ALPGENFPYTHIA_HH

#include "AGILe/Generator.hh"
#include "AGILe/AlpGen/AlpGenWrapper.hh"
#include "AGILe/FPythia/FPythia.hh"


namespace AGILe {

  /// Abstract base class for AlpGen interface
  /// @author Jon Butterworth
  /// @author Andy Buckley
  /// @date   2007-10-18
  class AlpGenFPythia : public FPythia {
  public:
    /// Standard constructor.
    AlpGenFPythia();
    
    /// Destructor.
    ~AlpGenFPythia() { }

    /// Make sure that generic setParam is visible.
    using Generator::setParam;
    
    /// Pass a parameter to the generator.
    Status setParam(const string& name, const string& value);
  };

}

#endif
